import request from '@/utils/request'
// 查询付款计划
export function searchTable0(check, date1, date2) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_付款计划_查询数据',
      param: `时间段_check=${check}&开始时间=${date1}&结束时间=${date2}`
    }
  })
}
// 初始化合同
export function initContract() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购请款表_查询数据'
    }
  })
}
// 查询表1
export function searchTable1(...params) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购请款表_查询数据',
      param: '采购合同流水号_check=' + params[2] + '&采购合同流水号=' + params[3] + '&供应商名称_check=' + params[4] + '&供应商名称=' + params[5],
      Pagination: params[0] + '&' + params[1]
    }
  })
}
// 查询请款进度
export function searchCondition(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购请款表_请款进度_查询数据',
      param: '采购合同流水号=' + num1
    }
  })
}
// 请款
export function requestFund(num1, money, time, id) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购请款表_增加数据',
      param: `采购合同流水号=${num1}&请款金额=${money}&请款人=${id}&请款时间=${time}`
    }
  })
}
// 取消请款
export function cancelRequestFund(num1) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '2',
      name: '采购管理_采购请款表_删除数据',
      param: '采购请款流水号=' + num1
    }
  })
}
// 采购合同内容查询
export function searchContract(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '采购管理_采购合同内容_查询数据',
      param: '采购合同流水号=' + num
    }
  })
}
